OpenAgentPack Kit
POST
/api/admin/resource-drafts/{name}/resources/agents

Path Parameters

name*string
Length1 <= length

Request Body

application/json
  1. body
base_revision*string
Length1 <= length <= 256
name*string
Length1 <= length <= 255
description?string
Lengthlength <= 1024
model*string
Length1 <= length <= 200
instructions?string
Lengthlength <= 65536
skills?array<|>
Itemsitems <= 10
mcp_servers?array<>
Itemsitems <= 50
tools?
multiagent?
mcp_configurations?array<>
Itemsitems <= 50

Response Body

智能体声明已保存到批次声明,尚未发布

application/json
  1. response
data*
curl -X POST 'https://example.com/api/admin/resource-drafts/string/resources/agents' \  -H 'Content-Type: application/json' \  -d '{  "base_revision": "string",  "name": "string",  "model": "string"}'
{  "data": {    "new_revision": "string",    "agent": {      "id": "string",      "name": "string"    }  }}